Yum Update --- Package Install Problems (Doc ID 1499202.1)

Last updated on JANUARY 30, 2013

Applies to:

Oracle Exadata Storage Server Software - Version 11.2.3.1.1 to 11.2.3.2.0 [Release 11.2]
Linux x86-64

Symptoms

Yum update producing some dependency errors:

exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: pciutils = 3.1.7-3.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: libgfortran = 4.1.2-51.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: device-mapper-multipath = 0.4.9-23.0.9.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: libbdevid-python = 5.1.19.6-71.0.10.el5_7.1 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: tzdata-java = 2011l-4.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
libbdevid-python-5.1.19.6-75.0.9.el5.x86_64 from ol5_latest has depsolving problems
  --> Missing Dependency: mkinitrd = 5.1.19.6-75.0.9.el5 is needed by package libbdevid-python-5.1.19.6-75.0.9.el5.x86_64 (ol5_latest)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: dapl-utils = 2.0.25-2.el5_6.1 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: oraclelinux-release = 5-7.0.2 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: device-mapper-multipath-libs = 0.4.9-23.0.9.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: config(rsyslog) = 3.22.1-3.el5_6.1 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: config(device-mapper-multipath) = 0.4.9-23.0.9.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: compat-dapl-utils = 2.0.25-2.el5_6.1 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: rsyslog = 3.22.1-3.el5_6.1 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: lsscsi = 0.17-3.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: yum-utils = 1.1.16-16.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 from installed has depsolving problems
  --> Missing Dependency: kpartx = 0.4.9-23.0.9.el5 is needed by package exadata-sun-computenode-11.2.3.1.1.120607-1.x86_64 (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
  package-cleanup --dupes
  rpm -Va --nofiles --nodigest

Changes

 This started after upgrade from Exadata image 11.2.2.4.2 to 11.2.3.1.1

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms